Impossible de lancer le démon klf200 (errno 99)

Tags: #<Tag:0x00007fcbad4a2088>

Bonjour,
Je viens juste d’acheter le KLLF200 et impossible de lancer le daemon.
Le plugin semble trouver et se connecter au klf200, mais le daemon plante
J’ai configuré l’ip et le mot de passe et j’obtiens l’erreur suivante
Pour info, je suis sous Debian Stretch et Jeedom 3.3.49
Quelqu’un aurait-il une idée?
Merci d’avance

Connecting to KLF 200.
Connected to: KLF 200: Software version: 0.2.0.0.71.0, hardware version: 6, protocol version: 3.14
Traceback (most recent call last):
File « /usr/lib/python3.5/asyncio/base_events.py », line 1042, in create_server
sock.bind(sa)
OSError: [Errno 99] Cannot assign requested address

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File « /usr/share/nginx/www/jeedom/plugins/klf200/resources/klf200d.py », line 234, in
web.run_app(app, host=« localhost », port=« 9123 »)
File « /usr/local/lib/python3.5/dist-packages/aiohttp/web.py », line 433, in run_app
reuse_port=reuse_port))
File « /usr/lib/python3.5/asyncio/base_events.py », line 466, in run_until_complete
return future.result()
File « /usr/lib/python3.5/asyncio/futures.py », line 293, in result
raise self._exception
File « /usr/lib/python3.5/asyncio/tasks.py », line 239, in _step
result = coro.send(None)
File « /usr/local/lib/python3.5/dist-packages/aiohttp/web.py », line 359, in _run_app
await site.start()
File « /usr/local/lib/python3.5/dist-packages/aiohttp/web_runner.py », line 104, in start
reuse_port=self._reuse_port)
File « /usr/lib/python3.5/asyncio/base_events.py », line 1046, in create_server
% (sa, err.strerror.lower()))
OSError: [Errno 99] error while attempting to bind on address (’::1’, 9123, 0, 0): cannot assign requested address

J’ai trouvé… Rien de bien grave. La boucle locale était désactivée en IPV6.

Solutionné

bonjour @jbil, j’ai exactement le même problème que toi.

Connecting to KLF 200.
Connected to: KLF 200: Software version: 0.2.0.0.71.0, hardware version: 6, protocol version: 3.14
Traceback (most recent call last):
File "/var/www/html/plugins/klf200/resources/klf200d.py", line 234, in <module>
web.run_app(app, host="localhost", port="9123")
File "/usr/local/lib/python3.7/dist-packages/aiohttp/web.py", line 433, in run_app
reuse_port=reuse_port))
File "/usr/lib/python3.7/asyncio/base_events.py", line 584, in run_until_complete
return future.result()
File "/usr/local/lib/python3.7/dist-packages/aiohttp/web.py", line 359, in _run_app
await site.start()
File "/usr/local/lib/python3.7/dist-packages/aiohttp/web_runner.py", line 104, in start
reuse_port=self._reuse_port)
File "/usr/lib/python3.7/asyncio/base_events.py", line 1378, in create_server
% (sa, err.strerror.lower())) from None
OSError: [Errno 99] error while attempting to bind on address ('::1', 9123, 0, 0): cannot assign requested address

Pourrais-tu m’expliquer ce que tu as fait concretement pour résoudre ton souci.
Comment activer la boucle locale, et pourquoi IPV6 ?
Mon Jeedom 4 tourne sur un NAS synology 411+ que j’ai installé sous docker en suivant le tuto suivant :

Merci pour ton aide

Bonsoir,

Désolé de répondre si tard (plus de 5 mois - je vais très rarement voir cette adresse mail).

Tu dois éditer le fichier /etc/sysctl.conf (ça dépend de ton système) et t’assurer que net.ipv6.conf.lo.disable_ipv6=0 est à 0 et non à 1

Mais bon je suppose que tu as trouvé la solution depuis le temps :wink: